TQScintilla: TQextScintillaCommand Class Reference

- Main Page
- Classes
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# TQextScintillaCommand Class Reference

The TQextScintillaCommand class represents an internal editor command that may have one or two keys bound to it. More...

`#include <tqextscintillacommand.h>`

List of all members.

## Public Member Functions

- void setKey (int key)
- void setAlternateKey (int altkey)
- int key () const
- int alternateKey () const
- TQString description () const

## Static Public Member Functions

- static bool validKey (int key)

## Detailed Description

The TQextScintillaCommand class represents an internal editor command that may have one or two keys bound to it.

Methods are provided to change the keys bound to the command and to remove a key binding. Each command has a user friendly description of the command for use in key mapping dialogs.

## Member Function Documentation

void TQextScintillaCommand::setKey | ( | int | key | ) |

Binds the key key to the command. If key is 0 then the key binding is removed. If key is invalid then the key binding is unchanged. Valid keys are any visible or control character or any of `Key_Down`, `Key_Up`, `Key_Left`, `Key_Right`, `Key_Home`, `Key_End`, `Key_Prior`, `Key_Next`, `Key_Delete`, `Key_Insert`, `Key_Escape`, `Key_Backspace`, `Key_Tab` and `Key_Return`. Keys may be modified with any combination of `SHIFT`, `CTRL` and `ALT`.

See also:
  key(), setAlternateKey(), validKey()

void TQextScintillaCommand::setAlternateKey | ( | int | altkey | ) |

Binds the alternate key altkey to the command. If key is 0 then the alternate key binding is removed.

See also:
  alternateKey(), setKey(), validKey()

int TQextScintillaCommand::key | ( |  | ) | const`[inline]`

The key that is currently bound to the command is returned.

See also:
  setKey(), alternateKey()

int TQextScintillaCommand::alternateKey | ( |  | ) | const`[inline]`

The alternate key that is currently bound to the command is returned.

See also:
  setAlternateKey(), key()

static bool TQextScintillaCommand::validKey | ( | int | key | ) | `[static]`

If the key key is valid then true is returned.

TQString TQextScintillaCommand::description | ( |  | ) | const

The user friendly description of the command is returned.